### Hierarchy

- PropertyDefVisitor

### Implements

- JsonObjectVisitor

## Index

### Constructors

- constructor

### Properties

- _enclosedJsonObject

### Methods

- canCauseSideEffects
- contentType
- copyAsJsonObject
- copyAsJsonString
- displayLength
- displayScale
- enclosedJsonObject
- format
- length
- propertyName
- propertyType
- scale
- semanticType
- type
- upperCaseOnly
- writeAllowed
- writeEnabled

## Constructors

### constructor

- new PropertyDefVisitor(value: string | object): PropertyDefVisitor

- - Defined in proxy/PropertyDefVisitor.ts:9

  #### Parameters

  - ##### value: string | object

  #### Returns PropertyDefVisitor

## Properties

### Private _enclosedJsonObject

_enclosedJsonObject: any

- Defined in proxy/PropertyDefVisitor.ts:9

## Methods

### canCauseSideEffects

- canCauseSideEffects(): boolean

- - Defined in proxy/PropertyDefVisitor.ts:43

  #### Returns boolean

### contentType

- contentType(): string

- - Defined in proxy/PropertyDefVisitor.ts:47

  #### Returns string

### copyAsJsonObject

- copyAsJsonObject(): object

- Implementation of JsonObjectVisitor.copyAsJsonObject

  - Defined in proxy/PropertyDefVisitor.ts:29

  #### Returns object

### copyAsJsonString

- copyAsJsonString(): string

- Implementation of JsonObjectVisitor.copyAsJsonString

  - Defined in proxy/PropertyDefVisitor.ts:33

  #### Returns string

### displayLength

- displayLength(): number

- - Defined in proxy/PropertyDefVisitor.ts:51

  #### Returns number

### displayScale

- displayScale(): number

- - Defined in proxy/PropertyDefVisitor.ts:55

  #### Returns number

### enclosedJsonObject

- enclosedJsonObject(): any

- Implementation of JsonObjectVisitor.enclosedJsonObject

  - Defined in proxy/PropertyDefVisitor.ts:37

  #### Returns any

### format

- format(): string

- - Defined in proxy/PropertyDefVisitor.ts:59

  #### Returns string

### length

- length(): number

- - Defined in proxy/PropertyDefVisitor.ts:63

  #### Returns number

### propertyName

- propertyName(): string

- - Defined in proxy/PropertyDefVisitor.ts:67

  #### Returns string

### propertyType

- propertyType(): string

- - Defined in proxy/PropertyDefVisitor.ts:71

  #### Returns string

### scale

- scale(): number

- - Defined in proxy/PropertyDefVisitor.ts:75

  #### Returns number

### semanticType

- semanticType(): string

- - Defined in proxy/PropertyDefVisitor.ts:79

  #### Returns string

### type

- type(): string

- - Defined in proxy/PropertyDefVisitor.ts:83

  #### Returns string

### upperCaseOnly

- upperCaseOnly(): boolean

- - Defined in proxy/PropertyDefVisitor.ts:87

  #### Returns boolean

### writeAllowed

- writeAllowed(): boolean

- - Defined in proxy/PropertyDefVisitor.ts:91

  #### Returns boolean

### writeEnabled

- writeEnabled(): boolean

- - Defined in proxy/PropertyDefVisitor.ts:95

  #### Returns boolean

Generated using TypeDoc